Las actualizaciones dependen del móvil

La historia se repite: a medida que el software avanza el hardware se queda obsoleto por incapacidad o incompatibilidad. Y eso parece que es lo que le pasará oficialmente al HTC Dream por ser el primer móvil con Android y por ir flojito de potencia y porque así lo deciden los desarrolladores en este software libre de gobierno cerrado que es Android.

eduo_android

No es una situación nueva en el mundo del hardware y por otro lado ya hemos dicho muchas veces que el cacharro (que es el que a mi más me gusta personalmente) era inusable con la HTC Sense o que no servía para nesoid. Acordáos de que el tema del hw fué un punto que se trató en el and.roid.es meetup y todos estábamos de acuerdo en que tenían que venir mejores dispositivos con y sin teclado.

Y detrás vendrán los que hay (Magic y Hero) y los que vendrán después. Y los fabricantes de hardware y las operadoras se frotarán las manos porque querremos tener lo último y tendremos que cambiar y pagar y tirar el viejo móvil.

Lo destacable aqui es la vida que ha tenido el teléfono. El que se pilló un Dream con T-Mobile en USA, le dará un uso de 8, 10, 12 meses si quiere tener las maravillosas ventajas de Android 2.0. Pero es que el que lo pilló en España lo habrá usado escasos 5 o 6 meses. ¿Y donde me meto los 18/24 meses de permanencia que firmé con sangre?

Ahora bien, esto no quiere decir que el móvil deje de funcionar el 31 de diciembre de 2009. Si no actualizas el software (igual que haces con el 100% de los móviles normales) pues tu sistema, tus aplicaciones, tus correos y todo lo que usas hoy, seguirá funcionando perfectamente hasta que el hardware se estropee y no haya recambios o servicio técnico.

Dos apuntes más:

Yo creo que las operadoras, los desarrolladores y los fabricantes deberían sincronizar sus tempos. No puede ser que en 8 meses mi móvil se quede viejo y la operadora me diga que no amortiza su inversión en mi móvil en menos de 24. Quizá 12 meses de permanencia es más ajustado, bajando tarifas y teniendo en cuenta que, en teoría, sacan tajada de las compras de aplicaciones y música.

A buen seguro que los desarrolladores de ROMs no se quedarán de brazos cruzados y conseguirán sacar el mayor provecho de nuestros “viejos móviles obsoletos”. Mucha gente dice que la Cupcake hace que el G1 vaya lento pero los que usamos la Cyanogen nos va de maravilla.

Anuncios

10 comentarios sobre “Las actualizaciones dependen del móvil

  1. Pingback: Bitacoras.com
  2. Según leo en Engadget, en el Update del final, desde T-Mobile le han dicho que están trabajando con Google para introducir futuras actualizaciones al G1.

    Yo soy uno de los que tiene el G1 y no podría vivir sin la nueva actualización. Pero yo quiero llegar un poco más allá

    Que pasa con todos los G1 DEV. ¿Tu has pagado por un móvil que se supone que es para desarrolladores y que sólo puedes desarrollar aplicaciones para la 1.5?

    No tiene sentido. Evidentemente no me veo con el G1 dentro de 1 año, pero si debería poder instalar Donut como mínimo

    Algo tendrán que hacer

    Lo lógico es que hagan como con la 1.5. Las actualizaciones lleguen antes para los DEVs así los desarrolladores podrán compilar con garantías su programa en la nueva versión. Esperemos que esto sea así

    Saludos

    Me gusta

  3. Comentario original:
    “As much as I’m hoping that it’ll be possible to somehow continue updating the G1, I can’t promise anything.”

    Traducción no literal:
    “Aunque estoy deseando que sea posible continuar actualizando el G1 de alguna manera, no puedo prometer nada.”

    Traducción del menda de la noticia:
    “No se va a actualizar el G1”

    Más detalles: Al G1 no le falta potencia ni RAM (*ejem*Magic de Vodafone*ejem*), sino ROM… pero Donut no ocupará tantísimo como parece creer carthesian. Es una simple revisión.

    Esto es FUD o alarmismo en estado puro.

    Me gusta

  4. Alarmismo absoluto. Además, soluciones existen, aunque no parecen gustarle a los de google porque pueden crear alarmismo (paradójico, ¿no?). Espero que se les ocurra algo, porque las criticas ya están empezando a llover…

    Me gusta

  5. Esto es lo que tienen que tener en cuenta, y los del G1, no los del Dream que tienen un problema con telefónica ya que tardan en actualizarlos y esto sería un bueno motivo para no volverlo hacer…

    Me gusta

  6. Aparte de si la noticia es alarmista o no, esto es lo bueno de tener un sistema [casi del todo] libre. No se depende de operadoras, ni de empresas.

    Un producto libre (siento no saber del todo hasta dónde lo es en este caso) no está muerto hasta que la comunidad quiera. Un producto cerrado estará muerto cuando a sus creadores les venga en gana.

    La situación ideal sería que el móvil siempre se pueda actualizar a una versión mayor con nuevas funcionalidades. Pero eso no es posible dadas las limitaciones del hardware.

    La segunda situación ideal sería que “alguien” (operadoras, Google) dejen igual las características, pero apliquen parches de seguridad para siempre (cosa que probablemente no ocurra). Esta cuestión puede ser baladí en un móvil “que hace llamadas”, pero no lo es en un smartphone.

    La siguiente opción es que haya soporte por la comunidad, tanto de parches como de funcionalidades (cuando sea posible).

    El problema puede ser para los iletrados en tecnología. Pero éstos siempre tendrán la opción de aprender (igual que aprenden lo que les interesa) o pagar por el servicio.

    Esa es la importancia del software libre. Los contratos leoninos de permanencia con las operadoras son otro problema por el que yo personalmente nunca paso. Prefiero pagar más (si es que es así realmente), pero seguir manteniendo de nuevo mi libertad en lo posible.

    Me gusta

  7. Alarmismo puro y duro, de todos es sabido que si no le haces nada al Dream que con mucho esfuerzo y permanencia le has comprado a Estafastar llegará diciembre de 2010 y todavía tendrás la 1.1, porque chicos y chicas, NO ESTÁN TRABAJANDO EN ABSOLUTO EN ELLO. El Dream en España es una prueba de mercado que le hemos pagado los clientes a Movistar (o sea, que a la compañía le ha salido “gratis total”).

    Después de lo dicho anteriormente, queda claro que la actualización de una Dream en España depende exclusivamente del usuario y de nadie más (bajo su cuenta y riesgo claro, que hay que seguir presentando beneficios cada año), por lo que no creo que tenga muchos problemas para tener Donut en mi Dream (1.6) y lo único que veo en el aire es Eclair (2.0). Eso sí, Flan (??) puede que sí le quede grande al Dream, pero para entonces lo “normal” es que ya estén solucionados temas como el multitouch o el obex por bluetooth. Y si no, ahí estan nuestros queridos desarrolladores independientes de la comunidad.

    Me gusta

  8. Esto es una de las cosas que me desencata del Android. Hoy por hoy el que mejor hace lo de los updates es Apple. Todos los iphone e ipod touch usan el mismo SO, con insignificantes diferencias, con lo que los usuarios del ipod touch 1G (yo) seguimos usando lo último del SO sin haber desembolsado un duro en hardware (salvo por las actualizaciones).

    Google deberia de esforzarse en que solo exista un único SO android y “obligar” dentro de lo que cabe a actualizar el resto de terminales.

    Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google photo

Estás comentando usando tu cuenta de Google. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s